# Manuale utente di &kde;

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Ricostruisce la cache della configurazione di sistema.

## Sintassi

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track identificativo_menu --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrizione

`kbuildsycoca4`, che fa parte degli strumenti da riga di comando di &kde;, assicura il buon funzionamento di &kde; leggendo tutti i file `.desktop`, `.xml` e `.protocol` per costruire una banca dati in formato binario.

Durante il suo funzionamento, &kde; accede a questa banca dati per passare le informazioni di configurazione necessare per eseguire i programmi.

Questo strumento fa parte di ksycoca4, che significa &kde; System Configuration Cache.

## Opzioni

`--nosignal`

  Non segnalare alle applicazioni di aggiornarsi

`--noincremental`

  Disabilita l'aggiornamento incrementale, rileggi tutto

`--checkstamps`

  Controlla data e ora dei file

`--nocheckfiles`

  Disabilita il controllo dei file (pericoloso)

`--global`

  Crea banca dati globale

`--menutest`

  Effettua soltanto la prova di generazione del menu

`--track identificativo_menu`

  Traccia l'identificativo del menu per scopi di debug

`--help`

  Mostra la guida alle opzioni

`--help-qt`

  Mostra le opzioni specifiche di Qt

`--help-kde`

  Mostra le opzioni specifiche di &kde;

`--help-all`

  Mostra tutte le opzioni

`--author`

  Mostre le informazioni sull'autore

`-v , --version`

  Mostra le informazioni sulla versione

`--license`

  Mostra le informazioni sulla licenza

## Uso

Un modo normale di eseguire questo programma è semplicemente specificare il comando ``kbuildsycoca4`` alla riga di comando.

## File

`/var/tmp/kde-$USER/ksycoca4`

  La cartella predefinita dove si tengono i file della cache.

## Variabili d'ambiente

$`KDEDIRS`

  Indica quali cartelle fanno parte dell'installazione di &kde;

## Vedi anche

kdeinit4

## Errori

Probabilmente ci sono un sacco di errori. Usa il sito bugs.kde.org per segnalarli.